The scanner class provides functionality to scan codes.

see

  CodeReader

### Hierarchy

- Scanner

## Index

### Methods

- scanBarCodeFromDevice
- scanQRCodeFromDevice

## Methods

### Static scanBarCodeFromDevice

- scanBarCodeFromDevice(deviceId: string): any

- - Defined in lib/renderable/codeReader/Scanner.ts:41

  Scan a barcode using the BrowserBarcodeReader library.

  #### Parameters

  - ##### deviceId: string

  #### Returns any

### Static scanQRCodeFromDevice

- scanQRCodeFromDevice(deviceId: string): any

- - Defined in lib/renderable/codeReader/Scanner.ts:23

  Scan a QR code using the BrowserQRCodeReader library.

  #### Parameters

  - ##### deviceId: string

  #### Returns any

Generated using TypeDoc